<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DepositRequest extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id', 'amount'
    ];
    public function userDetails()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
